%define Werror_cflags %nil

Summary:	Tool to manage mind maps
Name: 		vym
Version: 	2.3.19
Release: 	%mkrel 2
Source0: 	http://prdownloads.sourceforge.net/vym/%{name}-%{version}.tar.bz2
URL: 		http://www.insilmaril.de/vym/
License: 	GPLv2
Group: 		Office/Utilities
BuildRequires:	qt4-devel
BuildRequires:	libxext-devel
Requires:	zip

%description
VYM (View Your Mind) is a tool to generate and manipulate maps which
show your thoughts. Such maps can help you to improve your creativity
and effectivity. You can use them for time management, to organize
tasks, to get an overview over complex contexts, to sort your ideas etc.

Maps can be drawn by hand on paper or a flip chart and help to structure
your thoughs. While a tree like structure can be drawn by hand or any
drawing software vym offers much more features to work with such maps.

vym is not another drawing software, but a tool to store and modify
information in an intuitive way. For example you can reorder parts of
the map by pressing a key or add various information like a complete
email by a simple mouse click.

%prep
%setup -q

#fix doc path in man page
gunzip doc/vym.1.gz
sed -i -e 's,packages/vym,vym,' doc/vym.1

%build
%qmake_qt4 \
	DOCDIR=%{_defaultdocdir}/%{name} \
	PREFIX=%{_prefix}
%make

#translations
%{_qt4_bindir}/lrelease vym.pro

%install
make install INSTALL_ROOT=%{buildroot}

install -Dpm644 icons/%{name}-16x16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -Dpm644 icons/%{name}.xpm %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.xpm

install -Dpm644 icons/%{name}-128x128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

install -Dpm644 icons/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -Dpm644 icons/%{name}-editor.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}-editor.png

#translations
find %{buildroot} -name "*.ts" -delete
install -d %{buildroot}%{_datadir}/%{name}/lang
install -pm644 lang/*.qm %{buildroot}%{_datadir}/%{name}/lang/

#man page
install -Dm644 doc/vym.1 %{buildroot}%{_mandir}/man1/vym.1

#clean files and let files section handle docs
rm -rf %{buildroot}%{_docdir}

mkdir -p %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Vym
Comment=View your mind
StartupNotify=true
Terminal=false
Type=Application
Icon=%{name}
Exec=%{name} %%f
MimeType=application/x-vym;application/zip;
Categories=KDE;Qt;Office;Chart;
EOF

mkdir -p %{buildroot}%{_datadir}/mime/packages/
cat << EOF > %{buildroot}%{_datadir}/mime/packages/vym.xml
<?xml version="1.0" encoding="UTF-8"?>
<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
  <mime-type type="application/x-vym">
    <sub-class-of type="application/zip"/>
    <comment>View Your Mind file</comment>
    <glob pattern="*.vym"/>
  </mime-type>
</mime-info>
EOF

%files
%doc LICENSE.txt README.txt doc/*.pdf
%{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man1/%{name}.*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.3.19-2.mga4
+ Revision: 530103
- Mageia 4 Mass Rebuild

* Thu Jul 18 2013 wally <wally> 2.3.19-1.mga4
+ Revision: 455964
- new version 2.3.19
- drop unneeded requires exception

* Thu Jul 18 2013 wally <wally> 2.2.4-3.mga4
+ Revision: 455959
- install translations (mga#10790)
- install man page

* Mon Jan 14 2013 umeabot <umeabot> 2.2.4-2.mga3
+ Revision: 385583
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Office/Other -> Office/Utilities

* Sat Dec 22 2012 fwang <fwang> 2.2.4-1.mga3
+ Revision: 333727
- update rpm group
- new version 2.2.4

* Wed Mar 07 2012 dams <dams> 2.0.6-1.mga2
+ Revision: 220773
- new version 2.0.6
- clean spec file

* Wed Sep 07 2011 tv <tv> 1.13.39-1.mga2
+ Revision: 140226
- new release

  + wally <wally>
    - new version 1.13.36

* Sun May 15 2011 pterjan <pterjan> 1.12.8-2.mga1
+ Revision: 99041
- Rebuild for fixed find-requires

* Sun Apr 17 2011 wally <wally> 1.12.8-1.mga1
+ Revision: 87390
- imported package vym


* Sun Apr 17 2011 Jani Välimaa <wally@mandriva.org> 1.12.8-1mdv2011.0
+ Revision: 654766
- new version 1.12.8
- drop old and unused patches
- disable Werror_cflags
- drop buildroot definition
- drop support for old mdv releases
- fix .desktop file
- add mime-type support
- clean .spec

* Sat May 16 2009 Jérôme Brenier <incubusss@mandriva.org> 1.12.2-1mdv2010.0
+ Revision: 376435
- icon and typos in desktop file fixed (#48525)
- license fixed (GPLv2)

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 1.12.2-0mdv2009.1
+ Revision: 332957
- New upstream release

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 1.10.0-5mdv2009.0
+ Revision: 261897
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.10.0-4mdv2009.0
+ Revision: 255773
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.10.0-2mdv2008.1
+ Revision: 171167
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Sun Feb 03 2008 Emmanuel Andry <eandry@mandriva.org> 1.10.0-1mdv2008.1
+ Revision: 161780
- New version
- add patches from fedora

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jun 05 2007 Eskild Hustvedt <eskild@mandriva.org> 1.8.1-2mdv2008.0
+ Revision: 35851
- Adding unpackaged files
- Import vym



* Mon Aug 07 2006 Eskild Hustvedt <eskild@mandriva.org> 1.8.1-1mdv
- New release 1.8.1
- Spec cleanup
- XDG menu
- Dropped p0

* Thu Jul 14 2005 Frederic Lepied <flepied@mandriva.com> 1.7.0-1mdk
- New release 1.7.0

* Thu Mar 10 2005 Eskild Hustvedt <eskild@mandrake.org> 1.6.0-2mdk
- BuildRequires
- Requires zip for saving

* Sat Mar 05 2005 Michael Scherer <misc@mandrake.org> 1.6.0-1mdk
- New release 1.6.0
- update patch0

* Sun Nov  7 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.5.0-2mdk
- add icon

* Sat Nov  6 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.5.0-1mdk
- initial packaging

# end of file
